#' CoSMoS: Complete Stochastic Modelling Solution
#'
#' CoSMoS is an R package that makes time series generation with desired properties easy. Just choose the characteristics of the time series you want to generate, and it will do the rest.
#'
#' The generated time series preserve any probability distribution and any linear autocorrelation structure. Users can generate as many and as long time series from processes such as precipitation, wind, temperature, relative humidity etc. It is based on a framework that unified, extended, and improved a modelling strategy that generates time series by transforming “parent” Gaussian time series having specific characteristics (Papalexiou, 2018).
#'
#' @author \strong{Coded and maintained by:} Filip Strnad \email{strnadf@fzp.czu.cz}
#' @author \strong{Conceptual design by:} Simon Michael Papalexiou \email{sm.papalexiou@usask.ca}, and Filip Strnad
#' @author \strong{Beta tested by:} Filip Strnad, Yannis Markonis \email{markonis@fzp.czu.cz}, and Simon Michael Papalexiou
#'
#' @section Funding:
#'
#' The package was partly funded by the Global institute for Water Security (GIWS; \href{https://www.usask.ca/water/}{https://www.usask.ca/water/}) and the Global Water Futures (GWF; \href{https://gwf.usask.ca/}{https://gwf.usask.ca/}) program.
#'
#' @references Papalexiou, S.M., 2018. Unified theory for stochastic modelling of hydroclimatic processes: Preserving marginal distributions, correlation structures, and intermittency. Advances in Water Resources 115, 234-252. \href{https://doi.org/10.1016/j.advwatres.2018.02.013}{(link)}
#'
#' @docType package
#' @name CoSMoS-package
NULL
#> NULL
